
  /*
  *  The Bin Manager manges the bin and checks for Collision
  */
  
  class BinManager
  {
    //Objects
    FWorld _world;
    PVector _binPosition;
    FBox _bin;
    
    //Variables
    PImage _imageBin;
    
    //Constructor
    BinManager(int x, int y, FWorld world)
    {
      //Settings
      _binPosition = new PVector(x,y,0);
      _world = world;
      
      //LoadImage
      _imageBin = loadImage("data/images/bin.png");
    }
    
    //Generate Bin
    void addBin()
    {
      //Create Bin
      _bin = new FBox(80,106);
      _bin.setNoStroke();
      _bin.setNoFill();
      _bin.setPosition(_binPosition.x-40,_binPosition.y-53);
      _bin.setStatic(true);
      _bin.setGrabbable(false);
      _bin.setSensor(true);
      _bin.attachImage(_imageBin);
    
      //Add Bin to World
      _world.add(_bin);
    }
    
    //Check Ball
    boolean checkBall(FCircle ball)
    {
      return _bin.isTouchingBody((FBody)ball);
    }
  }
  
